import { GitlabGroup } from './gitlab.classes.group';
import * as plugins from './gitlab.plugins';

export class GitlabProject {
  // STATIC
  public static async getProjectsForGroup(gitlabGroupArg: GitlabGroup) {
    const response = await gitlabGroupArg.gitlabAccountRef.request('GET', `/groups/${gitlabGroupArg.data.id}/projects`, {
      per_page: '100'
    });
    console.log(response);
    for (const projectData of response) {
      console.log(projectData);
    }
    console.log(response.length);
  }

  // INSTANCE
  gitlabGroupRef: GitlabGroup;
  data: any;

  constructor(dataArg: any, gitlabGroupRefArg: GitlabGroup) {
    this.data = dataArg;
    this.gitlabGroupRef = gitlabGroupRefArg;
  }

  public async getReadmeAsMarkdown() {};
}
